Create widget
curl --request POST \
--url https://app.freyavoice.ai/api/v2/analytics/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"columnWidth": "1/2",
"rowIndex": 0,
"sortOrder": 0,
"config": {}
}
'import requests
url = "https://app.freyavoice.ai/api/v2/analytics/widgets"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"columnWidth": "1/2",
"rowIndex": 0,
"sortOrder": 0,
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
structuredDataId: 123,
columnWidth: '1/2',
rowIndex: 0,
sortOrder: 0,
config: {}
})
};
fetch('https://app.freyavoice.ai/api/v2/analytics/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"chartType": "<string>",
"columnWidth": "<string>",
"rowIndex": 123,
"sortOrder": 123,
"config": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Analytics
Create widget
Creates a new analytics widget for a workspace.
POST
/
analytics
/
widgets
Create widget
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
line, area, radar, pie, donut, treemap, stacked_bar, stream Maximum string length:
100Maximum string length:
500Available options:
1/4, 1/3, 1/2, 2/3, 3/4, full Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes